Page MenuHomePhabricator

[Sparc][NFC] Clean up SelectCC lowering
ClosedPublic

Authored by asb on Aug 27 2017, 7:26 AM.

Details

Summary

The ARM, BPF, MSP430, Sparc and Mips backends all use a similar code sequence for lowering SelectCC. As pointed out by @reames in D29937, this code isn't particularly clear and in most of these backends doesn't actually match the comments. This patch makes the code sequence clearer for the Sparc backend through better variable naming and more accurate comments (e.g. we are inserting triangle control flow, _not_ diamond). There is no functional change.

Diff Detail

Repository
rL LLVM

Event Timeline

asb created this revision.Aug 27 2017, 7:26 AM
fhahn added a subscriber: fhahn.Aug 29 2017, 2:54 AM

Thanks, IMO this changes makes much clearer what's going on and it looks like a NFC to me.

fhahn accepted this revision.Sep 1 2017, 5:22 AM

LGTM. I don't think there is any reason this cannot go in now, it obviously improves the readability.

This revision is now accepted and ready to land.Sep 1 2017, 5:22 AM
jyknight accepted this revision.Sep 4 2017, 9:13 AM
This revision was automatically updated to reflect the committed changes.